﻿# Configuration
## Conversion
Configuration in `appsettings.json` file, key `ConvertSpoolStepOptions`:
### ConversionProgramPath
path to executable used to convert spool file, by default GhostScript (GhostTrap) is used.
 - for PS drivers use: `"C:/Program Files/GhostTrap/bin/gswin32c.exe"`
 - for PCL drivers: `"C:/Program Files/GhostTrap/bin/pcl6.exe"`
---
### ConversionProgramArgs
arguments used to execute application, metadata `[input]` and `[output]` will be replaced by actual values of input file and expected output file\
 - for pdf conversion it's enough to use it like: \
`"-dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sOutputFile=[output] [input]"`
 - for tiff conversion you have to specify also additional options for compression and resolution:\
`-dNOPAUSE -dBATCH -sDEVICE=tiff24nc -sCompression=lzw -r300 -sOutputFile=[output] [input]`
---
### ConversionOutputFileExtension:
extension added to output file name, when converting to PDF it should be set to `pdf`, when output is TIF set to `tiff`

---
### Example config for PDF:
```json
"ConvertSpoolStepOptions": {
    "ConversionProgramPath": "C:/Program Files (x86)/GhostTrap/bin/pcl6.exe",
    "ConversionProgramArgs": "-dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sOutputFile=[output] [input]",
    "ConversionOutputFileExtension": "pdf"
},
```

---
### Example config for TIFF:
```json
"ConvertSpoolStepOptions": {
        "ConversionProgramPath": "C:/Program Files/GhostTrap/bin/gswin32c.exe",
        "ConversionProgramArgs": "-dNOPAUSE -dBATCH -sDEVICE=tiff24nc -sCompression=lzw -r300 -sOutputFile=[output] [input]",
        "ConversionOutputFileExtension": "tiff"
    }
```

